mwImHandler Struct Reference

IM Service Handler. More...

`#include <mw_srvc_im.h>`

## Data Fields

void(* | clear )(struct mwServiceIm *srvc)
| optional.
void(* | conversation_closed )(struct mwConversation *conv, guint32 err)
| A conversation has been closed.
void(* | conversation_opened )(struct mwConversation *conv)
| A conversation has been successfully opened.
void(* | conversation_recv )(struct mwConversation *conv, enum mwImSendType type, gconstpointer msg)
| A message has been received on a conversation.
void(* | place_invite )(struct mwConversation *conv, const char *message, const char *title, const char *name)
| Handle a Place invitation.

## Detailed Description

IM Service Handler.

Provides functions for events triggered from an IM service instance.

## Field Documentation

## clear

void(* mwImHandler::clear) (struct mwServiceIm *srvc)

optional.

called from mwService_free

## conversation_closed

void(* mwImHandler::conversation_closed) (struct mwConversation *conv, guint32 err)

A conversation has been closed.

## conversation_opened

void(* mwImHandler::conversation_opened) (struct mwConversation *conv)

A conversation has been successfully opened.

## conversation_recv

void(* mwImHandler::conversation_recv) (struct mwConversation *conv, enum mwImSendType type, gconstpointer msg)

A message has been received on a conversation.

## place_invite

void(* mwImHandler::place_invite) (struct mwConversation *conv, const char *message, const char *title, const char *name)

Handle a Place invitation.

Set this to NULL and we should end up receiving a conference invitation instead.

The documentation for this struct was generated from the following file:

- mw_srvc_im.h